--- /dev/null
+ntp-cn
++----+
+
+Paket donosi konfiguraciju koja koristi CARNetove NTP servere.
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Thu, 20 Nov 2003 19:17:02 +0100
--- /dev/null
+ntp-cn (2:4.2.2.p4+dfsg-1) carnet-etch; urgency=low
+
+ * izdanje paketa za etch
+ * prva verzija sa source paketom
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Sat, 8 Sep 2007 21:43:34 +0200
+
+ntp-cn (2:4.2.0a+stable-2sarge1.1)
+
+ * provjera da li se servis ugasio, i tek po ispravnom gasenju
+ servis se opet starta
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Thu, 8 Sep 2005 17:11:30 +0200
+
+ntp-cn (2:4.2.0a+stable-2sarge1)
+
+ * ovisnost o najnovijoj sigurnosnoj verziji koja ispravlja nedostatak
+ CAN-2005-2496 i DSA 801-1
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Mon, 5 Sep 2005 15:07:51 +0200
+
+ntp-cn (2:4.2.0a-11)
+
+ * novi template /etc/npt.conf
+ * kozmetika postinsta
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Wed, 22 Dec 2004 15:19:25 +0100
+
+ntp-cn (2:4.2.0a-4)
+
+ * nova inacica Debian paketa
+ * /usr/local/doc -> /usr/share/doc
+ * depend na ntp-simple
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Tue, 30 Mar 2004 01:17:27 +0200
+
+ntp-cn (2:4.1.2a-2)
+
+ * inicijalna verzija paketa
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Thu, 20 Nov 2003 19:29:17 +0100
--- /dev/null
+../changelog.CARNet
\ No newline at end of file
--- /dev/null
+Source: ntp-cn
+Section: net
+Priority: optional
+Maintainer: Ivan Rako <Ivan.Rako@CARNet.hr>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: ntp-cn
+Architecture: all
+Depends: ntp, ntpdate, ntp-server
+Description: Network Time Protocol: server and utilities
+ NTP, the Network Time Protocol, is used to keep computer clocks accurate
+ over the Internet, or by following an accurate hardware receiver which
+ interprets GPS, DCF-77, NIST or similar time signals.
--- /dev/null
+README.CARNet
+changelog.CARNet
+ntp.conf.tmpl
--- /dev/null
+#!/bin/sh
+
+[ "$1" = "configure" ] || exit 0
+
+konfiguriraj() {
+ if [ -f /etc/ntp.conf ]; then
+ cp -p /etc/ntp.conf /etc/ntp.conf.dpkg-old
+ fi
+
+ if [ -f /etc/default/ntp-servers ]; then
+ cp -p /etc/default/ntp-servers /etc/default/ntp-servers.dpkg-old
+ fi
+
+ cp /usr/share/doc/ntp-cn/ntp.conf.tmpl /etc
+
+ cat > /etc/default/ntp-servers <<EOF
+NTPSERVERS="zg1.ntp.carnet.hr ri.ntp.carnet.hr zg2.ntp.carnet.hr 127.127.1.0"
+EOF
+}
+
+if [ -f /usr/share/doc/ntp-cn/ntp.conf.tmpl -a -f /etc/ntp.conf ]; then
+ if ! cmp -s /usr/share/doc/ntp-cn/ntp.conf.tmpl /etc/ntp.conf; then
+ konfiguriraj
+ fi
+fi
+
+# restartaj sve
+if [ -x /etc/init.d/ntp ]; then
+ if [ -x /usr/sbin/invoke-rc.d ]; then
+ invoke-rc.d ntp stop
+ for i in 1 2 3 4 5 6 7 8 9 0; do
+ pgrep -u root -f /usr/sbin/ntpd >/dev/null && sleep 1 || break
+ done
+ invoke-rc.d ntp start
+ else
+ /etc/init.d/ntp stop
+ for i in 1 2 3 4 5 6 7 8 9 0; do
+ pgrep -u root -f /usr/sbin/ntpd >/dev/null && sleep 1 || break
+ done
+ /etc/init.d/ntp start
+ fi
+fi
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ # $(MAKE)
+ # pod2man debian/carnet-tools-cn/usr/sbin/cp-update > cp-update.1
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ # -$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/carnet-tools-cn.
+ # $(MAKE) install DESTDIR=$(CURDIR)/debian/carnet-tools-cn
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installchangelogs -k
+ dh_installdocs
+# dh_installexamples
+ dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+# dh_link
+# dh_strip
+# dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+# dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- /dev/null
+# /etc/ntp.conf, configuration for ntpd
+
+driftfile /var/lib/ntp/ntp.drift
+statsdir /var/log/ntpstats/
+
+statistics loopstats peerstats clockstats
+filegen loopstats file loopstats type day enable
+filegen peerstats file peerstats type day enable
+filegen clockstats file clockstats type day enable
+
+
+# You do need to talk to an NTP server or two (or three).
+server zg1.ntp.carnet.hr
+server ri.ntp.carnet.hr
+server zg2.ntp.carnet.hr
+
+# pool.ntp.org maps to more than 300 low-stratum NTP servers.
+# Your server will pick a different set every time it starts up.
+# *** Please consider joining the pool! ***
+# *** <http://www.pool.ntp.org/join.html> ***
+#server 0.debian.pool.ntp.org iburst
+#server 1.debian.pool.ntp.org iburst
+#server 2.debian.pool.ntp.org iburst
+#server 3.debian.pool.ntp.org iburst
+
+# By default, exchange time with everybody, but don't allow configuration.
+# See /usr/share/doc/ntp-doc/html/accopt.html for details.
+restrict -4 default kod notrap nomodify nopeer noquery
+restrict -6 default kod notrap nomodify nopeer noquery
+
+# Local users may interrogate the ntp server more closely.
+restrict 127.0.0.1
+restrict ::1
+
+# Clients from this (example!) subnet have unlimited access,
+# but only if cryptographically authenticated
+#restrict 192.168.123.0 mask 255.255.255.0 notrust
+
+# If you want to provide time to your local subnet, change the next line.
+# (Again, the address is an example only.)
+#broadcast 192.168.123.255
+
+# If you want to listen to time broadcasts on your local subnet,
+# de-comment the next lines. Please do this only if you trust everybody
+# on the network!
+#disable auth
+#broadcastclient